<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    	<header class="entry-header hentry entry" itemtype="http://schema.org/BlogPosting">
		<?php if ( is_single() ) : ?>
			<h1 class="entry-title margin-bottom-15"><?php the_title(); ?></h1>
		<?php else : ?>
			<h1 class="entry-title margin-bottom-15">
				<a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a>
			</h1>
		<?php endif; // is_single() ?>

		<div class="col-md-12 col-xs-12 mobile-content margin-top-bottom-15">
			<div class="col-md-3 col-xs-2 ">
                                                    <span class="author vcard">
				<span class="fn">
                                <span class="glyphicon glyphicon-user"></span>
                                        <?php  echo the_author_posts_link(); ?>
				</span>
                                                    </span>
			</div>
			<div class="col-md-3 col-xs-3">
			 <span class="glyphicon glyphicon-comment"></span> <?php
			echo buffercode_comment_with_link();			
			?>
			</div>
			<div class="col-md-3 col-xs-4">
				<span class="glyphicon glyphicon-time"></span><time class="published">
                                    <a href="<?php echo get_permalink( ); ?>" rel="bookmark" title="Published Time"><?php echo the_time('F j, Y');?></a>
				</time>
			</div>
			<div class="col-md-3 col-xs-3">
				<span class="glyphicon glyphicon-refresh"></span><time class="updated">
                                    <a href="<?php echo get_permalink( ); ?>" rel="bookmark" title="Updated Time"><?php echo the_modified_date('F j, Y');?></a>
				</time>
			</div>
		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->

	<?php if ( is_search() || is_archive() || is_tag()) : // Only display Excerpts for Search ?>
	<div class="entry-summary margin-top-bottom-25">
		<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->
	<?php else : ?>
	<div class="entry-content">
		<?php the_content( __( '<div class="readmore pull-right">Read More.. <span class="glyphicon glyphicon-hand-right"></span></div>', 'buffercode' ) ); ?>
		<div class="pagelink"><?php wp_link_pages('pagelink=Page %'); ?></div>
<?php
                if(is_single()){
                                      echo '<div class="row"><div class="margin-left-20"><span class="glyphicon glyphicon-tag"></span> ';
               if(get_the_tag_list( 'Tags: ',' , ', '' ) ==''){
                     echo '<span class="round-full-color">No Tags</span>';
                }
              else{ echo '<b>Tags:</b> <span class="round-full-color">';
                   echo get_the_tag_list( ' ',' ', '' ).'</span></div><br /><br />';
                 } 
                echo '<div class="margin-left-20"><span class="glyphicon glyphicon-folder-open"></span>   <b>Categories : </b><span class="round-full-color">';
                echo the_category(' ');
                echo '</span></div></div>';
                echo '<div class="row forward-backward">';
                next_post_link('<div class="left-text"><span class="glyphicon glyphicon-backward"></span> %link </div>');
                previous_post_link('<div class="right-text"><span class="glyphicon glyphicon-forward"></span>  %link  </div>');
                echo '</div>';
                } ?>
            </div><!-- .entry-content -->
	<?php endif; ?>

    </article><!-- #post -->
