<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package Buffercode
 */
?>
	<div id="secondary" class="col-md-4" role="complementary">
		<?php if ( ! dynamic_sidebar( 'buffercode_right_sidebar' ) ) : ?>

			<aside id="archives" class="widget sidebar-bg">
				<h2 class="widget-title rounded"><?php _e( 'Archives', 'buffercode' ); ?></h2>
				<ul>
					<?php wp_get_archives( array( 'type' => 'monthly' ) ); ?>
				</ul>
			</aside>

			<aside id="meta"class="widget sidebar-bg">
				<h2 class="widget-title rounded"><?php _e( 'Meta', 'buffercode' ); ?></h2>
				<ul>
					<?php wp_register(); ?>
					<li><?php wp_loginout(); ?></li>
					<?php wp_meta(); ?>
				</ul>
			</aside>

		<?php endif; // end sidebar widget area ?>
	</div><!-- #secondary -->
